Subject: Re: bug#24804: 25.1; posn-at-point erroneously signals an error

From: Andreas Politz <[email-masked]>
Date: Sat, 29 Oct 2016 16:26:47 +0200

Eli Zaretskii <[email-masked]> writes:

> Andreas, can you try the patch below?  Thanks.

I can confirm, that the error regarding above recpie goes away.

Though I'm pretty confused about what this function should actually
return in this case.  E.g. in the scenario above, evaluating (posn-x-y
(posn-at-point x)) with x=point-min, resp. x=point-max, returns (0 . 0),
resp.  (747 . 0), where 747 is the width of the image.  Does that sound
right ?